Skip to main content
`Ctrl`+`K`

# SNESLineSearchMonitorSolutionUpdate

Monitors each update of the function value the linesearch tries

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchMonitorSolutionUpdate(SNESLineSearch ls, PetscViewerAndFormat *vf)

Collective

## Input Parameters

- ls - the `SNESLineSearch` object

- vf - the context for the monitor, in this case it is an `PetscViewerAndFormat`

## Options Database Key

- -snes_linesearch_monitor_solution_update [viewer:filename:format] - view each update tried by line search routine

This is not normally called directly but is passed to `SNESLineSearchMonitorSet()`

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESLineSearch`, `SNESGetLineSearch()`, `SNESLineSearchMonitorSet()`, `SNESMonitorSolution()`

## Level

developer

## Location

src/snes/linesearch/interface/linesearch.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages